Debian Bug report logs - #448993
error while starting tinyerp-client

version graph

Package: tinyerp-client; Maintainer for tinyerp-client is (unknown);

Reported by: Didrik Pinte <dpinte@itae.be>

Date: Fri, 2 Nov 2007 07:42:01 UTC

Severity: grave

Found in version tinyerp-client/4.2.0-1

Fixed in version tinyerp-client/4.2.1-1

Done: Daniel Baumann <daniel@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Daniel Baumann <daniel@debian.org>:
Bug#448993; Package tinyerp-client. Full text and rfc822 format available.

Acknowledgement sent to Didrik Pinte <dpinte@itae.be>:
New Bug report received and forwarded. Copy sent to Daniel Baumann <daniel@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Didrik Pinte <dpinte@itae.be>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: error while starting tinyerp-client
Date: Fri, 02 Nov 2007 08:40:42 +0100
Package: tinyerp-client
Version: 4.2.0-1
Severity: normal


Since update to 4.2.0-1, I cannot start the tinyerp-client anymore.


The following error is raised (sorry for the bad alignment): 

did@ddp:~$ tinyerp-client 
Traceback (most recent call last):
    File "./tinyerp-client.py", line 93, in ?
    import modules
    File "/usr/lib/tinyerp-client/modules/__init__.py", line 30, in ?
    import gui
    File "/usr/lib/tinyerp-client/modules/gui/__init__.py", line 29,
    in ?
    import main
    File "/usr/lib/tinyerp-client/modules/gui/main.py", line
    40, in ?
    import rpc
    File "/usr/lib/tinyerp-client/rpc.py", line 37, in ?
    import common
    File
    "/usr/lib/tinyerp-client/common/__init__.py",
    line 29, in ?
    from common import *
    File
    "/usr/lib/tinyerp-client/common/common.py",
    line 67, in ?
    TINYERP_ICON =
    gtk.gdk.pixbuf_new_from_file(
            TypeError: pixbuf_new_from_file()
            argument 1 must be string, not bool


Is it related to this :

tinyerp-client (4.2.0~rc1-1) experimental; urgency=low

  * New upstream release.
  * Dropping 02-locale.dpatch and 03-icons.dpatch, not required anymore.

I'm having a look into common.py and try to correct it.

Didrik

-- System Information:
Debian Release: lenny/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing'), (500, 'stable'), (1, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 2.6.22-3-686 (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages tinyerp-client depends on:
ii  python                        2.4.4-6    An interactive high-level object-o
ii  python-glade2                 2.12.0-1   GTK+ bindings: Glade support
ii  python-gtk2                   2.12.0-1   Python bindings for the GTK+ widge
ii  python-support                0.7.5      automated rebuilding support for p

Versions of packages tinyerp-client recommends:
ii  acroread [pdf-viewer]      8.1.1-0.2     Adobe Acrobat Reader: Portable Doc
ii  evince [pdf-viewer]        0.8.3-1       Document (postscript, pdf) viewer
ii  gv [pdf-viewer]            1:3.6.3dfsg-5 PostScript and PDF viewer for X
ii  openoffice.org-writer      2.2.1-10      OpenOffice.org office suite - word
ii  xpdf                       3.02-1.2      Portable Document Format (PDF) sui
ii  xpdf-reader [pdf-viewer]   3.02-1.2      Portable Document Format (PDF) sui

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Baumann <daniel@debian.org>:
Bug#448993; Package tinyerp-client. Full text and rfc822 format available.

Acknowledgement sent to Didrik Pinte <dpinte@itae.be>:
Extra info received and forwarded to list. Copy sent to Daniel Baumann <daniel@debian.org>. Full text and rfc822 format available.

Message #10 received at 448993@bugs.debian.org (full text, mbox):

From: Didrik Pinte <dpinte@itae.be>
To: 448993@bugs.debian.org
Subject: solved
Date: Mon, 05 Nov 2007 09:13:35 +0100
[Message part 1 (text/plain, inline)]
Hi,


I made some investigation. The problem is that the personnal
configuration file stored in ~/.terprc contains the following :

[path]
pixmaps = /usr/lib/tinyerp-client
share = /usr/lib/tinyerp-client


Thus, because of the update, pixmaps are not at the same place.

Simply deleting the pixmaps entry in the ~/.terprc file solved the
problem.

I think that the update should have addressed the problem by a message
or something like that. I don't know if a script can be run and update
all the user accounts ... 

Didrik
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Baumann <daniel@debian.org>:
Bug#448993; Package tinyerp-client. Full text and rfc822 format available.

Acknowledgement sent to Didrik Pinte <dpinte@itae.be>:
Extra info received and forwarded to list. Copy sent to Daniel Baumann <daniel@debian.org>. Full text and rfc822 format available.

Message #15 received at 448993@bugs.debian.org (full text, mbox):

From: Didrik Pinte <dpinte@itae.be>
To: 448993@bugs.debian.org
Subject: second error
Date: Mon, 05 Nov 2007 09:15:42 +0100
[Message part 1 (text/plain, inline)]
Hi,

The problem in the ~/.terprc file was not alone.

The new default path is not the correct one :

In /usr/lib/tinyerp-client/options.py :

	'path.pixmaps': os.path.join(sys.prefix,
'share/pixmaps/tinyerp-client/'),

but the file are in /usr/share/pixmaps ...

Either we should correct the path (simple workaround) or move the files
to the correct directory.

Didrik
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Baumann <daniel@debian.org>:
Bug#448993; Package tinyerp-client. Full text and rfc822 format available.

Acknowledgement sent to Didrik Pinte <dpinte@itae.be>:
Extra info received and forwarded to list. Copy sent to Daniel Baumann <daniel@debian.org>. Full text and rfc822 format available.

Message #20 received at 448993@bugs.debian.org (full text, mbox):

From: Didrik Pinte <dpinte@itae.be>
To: 448993@bugs.debian.org
Subject: new traceback
Date: Mon, 05 Nov 2007 09:25:45 +0100
[Message part 1 (text/plain, inline)]
And the new traceback is the following :

did@ddp:~$ tinyerp-client 
Traceback (most recent call last):
  File "./tinyerp-client.py", line 106, in ?
    for fname in os.listdir(pix_file):
OSError: [Errno 2] No such file or directory:
'/usr/share/tinyerp-client/icons'


Thus, there are some icons in :

/usr/share/pixmaps :

did@ddp:~$ ls -al /usr/share/pixmaps/tiny*
-rw-r--r-- 1 root root  1165 2007-10-31
21:52 /usr/share/pixmaps/tinyerp-client-16.xpm
-rw-r--r-- 1 root root  2642 2007-10-31
21:52 /usr/share/pixmaps/tinyerp-client-32.xpm
-rw-r--r-- 1 root root 10047 2007-10-31
21:52 /usr/share/pixmaps/tinyerp-client-64.xpm
lrwxrwxrwx 1 root root    21 2007-11-04
16:59 /usr/share/pixmaps/tinyerp-client.xpm -> tinyerp-client-32.xpm


and in /usr/share/tinyerp-client:

did@ddp:~$ ls -al /usr/share/tinyerp-client/
total 684
drwxr-xr-x   3 root root   4096 2007-11-04 16:59 .
drwxr-xr-x 364 root root  12288 2007-11-04 16:59 ..
-rw-r--r--   1 root root    268 2007-10-24 11:06 flag.png
-rw-r--r--   1 root root 654437 2007-10-31 12:48 terp.glade
drwxr-xr-x   5 root root   4096 2007-11-04 16:59 themes
-rw-r--r--   1 root root   3421 2007-10-24 11:06 tinyerp_icon.png
-rw-r--r--   1 root root   5010 2007-10-24 11:06 tinyerp.png
-rw-r--r--   1 root root    818 2007-10-24 11:06 tipoftheday.txt


But no "icons" directory ... 


Any hint to solve the problem will be very appreciated, my projects are
managed by tinyerp ;-)

Didrik
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Baumann <daniel@debian.org>:
Bug#448993; Package tinyerp-client. Full text and rfc822 format available.

Acknowledgement sent to Didrik Pinte <dpinte@itae.be>:
Extra info received and forwarded to list. Copy sent to Daniel Baumann <daniel@debian.org>. Full text and rfc822 format available.

Message #25 received at 448993@bugs.debian.org (full text, mbox):

From: Didrik Pinte <dpinte@itae.be>
To: 448993@bugs.debian.org
Subject: solved again
Date: Mon, 05 Nov 2007 09:35:44 +0100
[Message part 1 (text/plain, inline)]
Hi,

Changing the following option in /usr/lib/tinyerp-client/options.py
solved the problem :

'path.pixmaps': os.path.join(sys.prefix, 'share/'),

All the icons,etc.  seems to be accessible using the path /usr/share.


Didrik
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Baumann <daniel@debian.org>:
Bug#448993; Package tinyerp-client. Full text and rfc822 format available.

Acknowledgement sent to Didrik Pinte <dpinte@itae.be>:
Extra info received and forwarded to list. Copy sent to Daniel Baumann <daniel@debian.org>. Full text and rfc822 format available.

Message #30 received at 448993@bugs.debian.org (full text, mbox):

From: Didrik Pinte <dpinte@itae.be>
To: 448993@bugs.debian.org
Subject: new traceback for images
Date: Mon, 05 Nov 2007 09:45:15 +0100
[Message part 1 (text/plain, inline)]
When connecting, I try to change the database and got the following
error :

did@ddp:~$ tinyerp-client 
Traceback (most recent call last):
  File "/usr/lib/tinyerp-client/modules/gui/main.py", line 694, in
sig_login
    res = l.run(dbname=dbname, parent=self.window)
  File "/usr/lib/tinyerp-client/modules/gui/main.py", line 162, in run
    img.set_from_file(common.terp_path_pixmaps('tinyerp.png'))
TypeError: GtkImage.set_from_file() argument 1 must be string or None,
not bool

It seems there is another problem with images.

Didrik
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Baumann <daniel@debian.org>:
Bug#448993; Package tinyerp-client. Full text and rfc822 format available.

Acknowledgement sent to "Eric Shattow" <lucent@gmail.com>:
Extra info received and forwarded to list. Copy sent to Daniel Baumann <daniel@debian.org>. Full text and rfc822 format available.

Message #35 received at 448993@bugs.debian.org (full text, mbox):

From: "Eric Shattow" <lucent@gmail.com>
To: 448993@bugs.debian.org
Subject: [patch] make stuff work (1/2)
Date: Tue, 13 Nov 2007 01:19:01 -0600
[Message part 1 (text/plain, inline)]
Attached 02-pixmaps.dpatch changes default to match what we're actually
doing.
[Message part 2 (text/html, inline)]
[02-pixmaps.dpatch (application/octet-stream, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Baumann <daniel@debian.org>:
Bug#448993; Package tinyerp-client. Full text and rfc822 format available.

Acknowledgement sent to "Eric Shattow" <lucent@gmail.com>:
Extra info received and forwarded to list. Copy sent to Daniel Baumann <daniel@debian.org>. Full text and rfc822 format available.

Message #40 received at 448993@bugs.debian.org (full text, mbox):

From: "Eric Shattow" <lucent@gmail.com>
To: 448993@bugs.debian.org
Subject: [patch] make stuff work (2/2)
Date: Tue, 13 Nov 2007 01:23:37 -0600
[Message part 1 (text/plain, inline)]
debian/rules patch:  updated for 4.2.0 client graphics and directory layout,
sort of.   Works for me.
[Message part 2 (text/html, inline)]
[rules-moving_graphics_update.patch (text/x-patch, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Baumann <daniel@debian.org>:
Bug#448993; Package tinyerp-client. Full text and rfc822 format available.

Acknowledgement sent to "Eric Shattow" <lucent@gmail.com>:
Extra info received and forwarded to list. Copy sent to Daniel Baumann <daniel@debian.org>. Full text and rfc822 format available.

Message #45 received at 448993@bugs.debian.org (full text, mbox):

From: "Eric Shattow" <lucent@gmail.com>
To: 448993@bugs.debian.org
Subject: Needs to depend on: matplotlib-python
Date: Wed, 12 Dec 2007 02:13:31 -0600
[Message part 1 (text/plain, inline)]
tinyerp-client needs to depend on: matplotlib-python

Additionally, it should depend on some more of the following:
python-egenix-mx-base-dev
python-egenix-mxbeebase
python-egenix-mxdatetime
python-egenix-mxproxy
python-egenix-mxqueue
python-egenix-mxstack
python-egenix-mxtexttools
python-egenix-mxtools
python-egenix-mxuid
python-egenix-mxurl

without the above, tinyerp-client fails at runtime.
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Baumann <daniel@debian.org>:
Bug#448993; Package tinyerp-client. Full text and rfc822 format available.

Acknowledgement sent to "Eric Shattow" <lucent@gmail.com>:
Extra info received and forwarded to list. Copy sent to Daniel Baumann <daniel@debian.org>. Full text and rfc822 format available.

Message #50 received at 448993@bugs.debian.org (full text, mbox):

From: "Eric Shattow" <lucent@gmail.com>
To: 448993@bugs.debian.org
Subject: Needs to depend on: python-numpy, python-numpy-ext
Date: Wed, 12 Dec 2007 02:26:38 -0600
[Message part 1 (text/plain, inline)]
Needs to depend on: python-numpy and possibly python-numpy-ext

Without the above, "costs and revenues" generation results in a runtime
error.
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Baumann <daniel@debian.org>:
Bug#448993; Package tinyerp-client. Full text and rfc822 format available.

Acknowledgement sent to Dwayne Litzenberger <dwayne@oscl.ca>:
Extra info received and forwarded to list. Copy sent to Daniel Baumann <daniel@debian.org>. Full text and rfc822 format available.

Message #55 received at 448993@bugs.debian.org (full text, mbox):

From: Dwayne Litzenberger <dwayne@oscl.ca>
To: 448993@bugs.debian.org
Cc: control@debian.org
Subject: Re: Bug#448993: error while starting tinyerp-client
Date: Fri, 21 Dec 2007 18:40:42 -0600
package tinyerp-client
severity 448993 grave
thanks

Upgrading the severity of this bug, per 
<http://www.debian.org/Bugs/Developer#severities>.  tinyerp-client is 
unusable as a result of this bug.

-- 
Dwayne Litzenberger, B.A.Sc.
Information Technology Analyst

Open Systems Canada Limited
#210 - 2332 11th Ave
Regina, SK S4P0K1
Office: (306) 359-OSCL (6725)
http://www.oscl.ca/




Severity set to `grave' from `normal' Request was from Dwayne Litzenberger <dwayne@oscl.ca> to control@bugs.debian.org. (Sat, 22 Dec 2007 00:51:02 GMT) Full text and rfc822 format available.

Reply sent to Daniel Baumann <daniel@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Didrik Pinte <dpinte@itae.be>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #62 received at 448993-close@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 448993-close@bugs.debian.org
Subject: Bug#448993: fixed in tinyerp-client 4.2.1-1
Date: Sat, 12 Jan 2008 15:47:17 +0000
Source: tinyerp-client
Source-Version: 4.2.1-1

We believe that the bug you reported is fixed in the latest version of
tinyerp-client, which is due to be installed in the Debian FTP archive:

tinyerp-client_4.2.1-1.diff.gz
  to pool/main/t/tinyerp-client/tinyerp-client_4.2.1-1.diff.gz
tinyerp-client_4.2.1-1.dsc
  to pool/main/t/tinyerp-client/tinyerp-client_4.2.1-1.dsc
tinyerp-client_4.2.1-1_all.deb
  to pool/main/t/tinyerp-client/tinyerp-client_4.2.1-1_all.deb
tinyerp-client_4.2.1.orig.tar.gz
  to pool/main/t/tinyerp-client/tinyerp-client_4.2.1.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 448993@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daniel Baumann <daniel@debian.org> (supplier of updated tinyerp-client package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sat, 12 Jan 2008 16:14:00 +0100
Source: tinyerp-client
Binary: tinyerp-client
Architecture: source all
Version: 4.2.1-1
Distribution: unstable
Urgency: low
Maintainer: Daniel Baumann <daniel@debian.org>
Changed-By: Daniel Baumann <daniel@debian.org>
Description: 
 tinyerp-client - Enterprise Resource Management software (client)
Closes: 448993
Changes: 
 tinyerp-client (4.2.1-1) unstable; urgency=low
 .
   * Maintainer upload from the Zuerich BSP.
   * New upstream release.
   * Bumping to new policy.
   * Using new homepage field in control.
   * Updated menu file to new policy.
   * Fixing icon location (Closes: #448993).
Files: 
 c72aacee45e2b927ff3db0f40c97e94b 705 x11 optional tinyerp-client_4.2.1-1.dsc
 6599918f0cdfcc3f963b85f0614924e5 1282853 x11 optional tinyerp-client_4.2.1.orig.tar.gz
 f641d1315d25da51165fe8aaf1653f87 6795 x11 optional tinyerp-client_4.2.1-1.diff.gz
 6ab4beea40a23b98bce3cc69e7bd6c68 1246478 x11 optional tinyerp-client_4.2.1-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFHiOBw+C5cwEsrK54RArjHAJ9HGj4KM/DxSHYV3MW8G/iXdUOhFQCeMbB/
fSAfPJ2EjO9aVwExN5/F2TQ=
=MiZ5
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 21 Feb 2008 07:33:46 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 03:08:10 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.